# -*- coding: utf-8 -*-

from django.contrib import admin

from jmb.core.admin.options import ExtendibleModelAdmin
from jmb.core.forms.models import AdminModelForm
from jmb.tag import models
from django.utils.translation import ugettext as _

log_fieldset = (
    _('logs admin'), {
        'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify'),
        'classes': ('collapse',)
    }
)

class TagAdminForm(AdminModelForm):
    class Meta:
        model = models.Tag
        exclude = []


class TagAdmin(ExtendibleModelAdmin):
    fieldsets = (
        log_fieldset,
        (_('tag'), {
            'fields': ('name', 'slug',)
        }),

    )
    prepopulated_fields = {"slug": ("name",)}
    list_display = list_display = ('name', 'slug', 'get_edit_icon')
    form = TagAdminForm

    
admin.site.register(models.Tag, TagAdmin)
